package com.ruoyi.device.domain.entity;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备升级包 tb_device_upgrade_package
 *
 * @author lwm
 */
public class DeviceUpgradePackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    /** 设备类型 */
    private String deviceType;

    /** 软件版本号 */
    private String appVersion;

    /** 下载地址 */
    private String downloadUrl;

    /** 状态（0:未启用；1：启用） */
    private Integer status;

    /** 升级包类型（0：测试升级包；1：正式升级包） */
    private Integer type;

    /** 固件类型（1:bootloader; 2:产测; 3:app; 4:lua） */
    private Integer firmwareType;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public DeviceUpgradePackage()
    {

    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getDeviceType()
    {
        return deviceType;
    }

    public void setDeviceType(String deviceType)
    {
        this.deviceType = deviceType;
    }

    public String getAppVersion()
    {
        return appVersion;
    }

    public void setAppVersion(String appVersion)
    {
        this.appVersion = appVersion;
    }

    public String getDownloadUrl()
    {
        return downloadUrl;
    }

    public void setDownloadUrl(String downloadUrl)
    {
        this.downloadUrl = downloadUrl;
    }

    public Integer getStatus()
    {
        return status;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getType()
    {
        return type;
    }

    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getFirmwareType()
    {
        return firmwareType;
    }

    public void setFirmwareType(Integer firmwareType)
    {
        this.firmwareType = firmwareType;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceType", getDeviceType())
            .append("appVersion", getAppVersion())
            .append("downloadUrl", getDownloadUrl())
            .append("status", getStatus())
            .append("type", getType())
            .append("firmwareType", getFirmwareType())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
